Bug 1415612 - Review Request: sqlrelay - Database proxy
Summary: Review Request: sqlrelay - Database proxy
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2017-01-23 09:05 UTC by David Muse
Modified: 2020-08-10 00:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-10 00:56:26 UTC
Type: ---


Attachments (Terms of Use)

Description David Muse 2017-01-23 09:05:16 UTC
Spec URL: http://www.firstworks.com/sqlrelay.spec
SRPM URL: http://www.firstworks.com/sqlrelay-1.0.1-1.fc24.src.rpm
Description: SQL Relay is a persistent database connection pooling, proxying, throttling, load balancing and query routing/filtering system for Unix and Linux supporting ODBC, Oracle, MySQL, PostgreSQL, SAP/Sybase, MS SQL Server, IBM DB2, Informix, Firebird, SQLite and MS Access (minimally) with APIs for C, C++, .NET, Perl, Perl-DBI, Python, Python-DB, PHP, PHP PDO, Ruby, Java, TCL, Erlang, and node.js, ODBC and ADO.NET drivers, drop-in replacement libraries for MySQL and PostgreSQL, command line clients and extensive documentation.  The APIs support advanced database operations such as bind variables, multi-row fetches, client-side result set caching and suspended transactions.  It is ideal for speeding up database-driven web-based applications, accessing databases from unsupported platforms, migrating between databases, distributing access to replicated or clustered databases and throttling database access.
Fedora Account System Username: davidleemuse

Comment 1 Raphael Groner 2017-02-01 00:52:22 UTC
Are you interested in a review swap, maybe with bug #1385856?

Comment 2 David Muse 2017-02-01 22:34:39 UTC
(In reply to Raphael Groner from comment #1)
> Are you interested in a review swap, maybe with bug #1385856?

Sure, though I'm not sure I'm really qualified.  This is only my second package.

Comment 3 Raphael Groner 2017-02-01 23:19:47 UTC
Okay, let's give it a try. Alternatively, you could look (or also) into bug #1402590.

Are you sure not every license used in the parts of sqlrelay need a valid license text for its own each? If yes, please use %license inside each subpackage.
http://sqlrelay.sourceforge.net/license.html
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text

Comment 4 Raphael Groner 2017-03-03 20:04:00 UTC
For a review swap, can you maybe take a look into bug #1428202?

Comment 5 Raphael Groner 2019-01-27 06:46:38 UTC
Your FAS name seems to be davidleemuse, is this correct?

Are you still interested in this package and looking for a reviewer?
If yes, please answer the licenses issue mentioned in comment #3.

Maybe we can do a review swap with bug #1469767?

Comment 6 Robert-André Mauchin 🐧 2019-02-16 01:26:52 UTC
 - make → %make_build

 - make install DESTDIR=%{buildroot} → %make_install

 - Not sure what you're doing here

%postun server-devel
rmdir %{_includedir}/%{name} 2> /dev/null || :
rmdir %{_includedir}/%{name}/private 2> /dev/null || :

   instead you should own the dir:

%dir %{_includedir}/%{name}
%dir %{_includedir}/%{name}/private


 - Same

%postun c++-devel
rmdir %{_includedir}/%{name} 2> /dev/null || :
rmdir %{_includedir}/%{name}/private 2> /dev/null || :

%postun c-devel
rmdir %{_includedir}/%{name} 2> /dev/null || :
rmdir %{_includedir}/%{name}/private 2> /dev/null || :

%postun -n python3-%{name}
rmdir %{python3_sitearch}/SQLRelay/__pycache__ 2> /dev/null || :
rmdir %{python3_sitearch}/SQLRelay 2> /dev/null || :

and so on

 - You should not glob the major soname version to avoid accidentally bumping the soname:

%{_libdir}/libsqlrserver.so.*
%{_libdir}/libsqlrutil.so.*



 - /sbin/ldconfig is not needed anymore, remove them all

 -

Comment 7 David Muse 2019-02-21 02:19:26 UTC
/sbin/ldconfig calls have been removed upstream

will fix library globbing too

If multiple independent packages (sqlrelay-server-devel and sqlrelay-c++-devel) install into the same directories:
%dir %{_includedir}/%{name}
%dir %{_includedir}/%{name}/private

Which should own the directories?  Both?

Comment 8 Robert-André Mauchin 🐧 2019-02-21 17:55:51 UTC
Both, the dirs will thus be removed when the last package owning them is removed.

Comment 9 David Muse 2019-02-21 20:19:27 UTC
Got it.  All of this is fixed upstream now.

Comment 10 Robert-André Mauchin 🐧 2019-03-18 23:20:35 UTC
No update here?

Comment 11 David Muse 2019-03-28 17:28:40 UTC
I'll be making an upstream release (1.5.0) in a few days, and I'll update the package as part of the release process.

Comment 12 David Muse 2019-03-30 03:22:41 UTC
updated SPEC and SRPM:
SPEC: http://www.firstworks.com/sqlrelay.spec
SRPM: http://www.firstworks.com/sqlrelay-1.5.0-1.fc29.src.rpm

Comment 13 Robert-André Mauchin 🐧 2019-03-30 11:53:19 UTC
 - make → %make_build

 - make install DESTDIR=%{buildroot} → %make_install

 - Not sure I get the Python stuff:

%if 0%{?fedora}

%package -n python3-%{name}

%else

%package -n python-%{name}

 Why not name the package python3-%{name} for EPEL too? We try to go away from python-X naming.

Comment 14 Robert-André Mauchin 🐧 2019-03-30 11:57:06 UTC
If this is supposed to be a Python 2 package, name it python2-%{name}. In that case also take into account rhel 8 which supports Python3 by default. 

%if 0%{?fedora} || 0%{?rhel} > 7

Comment 15 Package Review 2020-07-10 00:55:32 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time. We're sorry
it is taking so long. If you're still interested in packaging this software
into Fedora repositories, please respond to this comment clearing the
NEEDINFO flag.

You may want to update the specfile and the src.rpm to the latest version
available and to propose a review swap on Fedora devel mailing list to increase
chances to have your package reviewed. If this is your first package and you
need a sponsor, you may want to post some informal reviews. Read more at
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group.

Without any reply, this request will shortly be considered abandoned
and will be closed.
Thank you for your patience.

Comment 16 Package Review 2020-08-10 00:56:26 UTC
This is an automatic action taken by review-stats script.

The ticket submitter failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we consider this ticket as DEADREVIEW and proceed to close it.


Note You need to log in before you can comment on or make changes to this bug.